POST api/Challenges/JoinChallenge
Request Information
URI Parameters
None.
Body Parameters
JoinChallengeModel| Name | Description | Type | Additional information |
|---|---|---|---|
| accountId | integer |
None. |
|
| challengeId | integer |
None. |
|
| stepsCount | integer |
None. |
|
| distance | decimal number |
None. |
|
| period | decimal number |
None. |
|
| isTargetCompleted | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"accountId": 1,
"challengeId": 2,
"stepsCount": 3,
"distance": 4.1,
"period": 5.1,
"isTargetCompleted": true
}
text/plain, application/octet-stream
Sample:
{"accountId":1,"challengeId":2,"stepsCount":3,"distance":4.1,"period":5.1,"isTargetCompleted":true}
application/xml, text/xml
Sample:
<JoinChallengeModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Services.Challenges"> <accountId>1</accountId> <challengeId>2</challengeId> <distance>4.1</distance> <isTargetCompleted>true</isTargetCompleted> <period>5.1</period> <stepsCount>3</stepsCount> </JoinChallengeModel>
multipart/form-data, application/form-data
Sample:
<JoinChallengeModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Services.Challenges"><accountId>1</accountId><challengeId>2</challengeId><distance>4.1</distance><isTargetCompleted>true</isTargetCompleted><period>5.1</period><stepsCount>3</stepsCount></JoinChallengeModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data
Sample:
Sample not available.